## MLton 20241230+git20251029+dfsg-5

# SXMLSimplify

The optimization passes for the SXML IntermediateLanguage are collected and controlled by the `SxmlSimplify` functor (`sxml-simplify.sig`, `sxml-simplify.fun`).

The following optimization passes are implemented:

- Polyvariance

- SXMLShrink

The following implementation passes are implemented:

- ImplementExceptions

- ImplementSuffix

The following optimization passes are not implemented, but might prove useful:

- Uncurry

- LambdaLift

The optimization passes can be controlled from the command-line by the options

- `-diag-pass <pass>`— keep diagnostic info for pass

- `-disable-pass <pass>`— skip optimization pass (if normally performed)

- `-enable-pass <pass>`— perform optimization pass (if normally skipped)

- `-keep-pass <pass>`— keep the results of pass

- `-sxml-passes <passes>`— sxml optimization passes